Class | YARD::Tags::VisibilityDirective
In: | lib/yard/tags/directives.rb
Parent: | Directive

Modifies the current parsing visibility (public, protected, or private). If this directive is defined on a docstring attached to an object definition, it is applied only to that object. Otherwise, it applies the visibility to all future objects in the namespace.

@example Modifying the visibility of a DSL method

      # @!visibility private
      cattr_accessor :subclasses

@example Modifying the visibility of a set of methods

      # Note that Ruby's "protected" is recommended over this directive
      # @!visibility protected

      # Documentation for method1
      def method1; end

      # Documentation for method2
      def method2; end

@since 0.7.0

### Methods

call

### Public Instance methods

call()

[Validate]